@import "../../../styles/global/var";
@import "../../../styles/global/var-pages";

test-sessions {
    display: block;
}
.test-sessions {
    &._logs {
        margin-top: 24px;
    }
    &__accordion {
        &-header {
            position: relative;
            cursor: pointer;
            user-select: none;
            outline: 0;
        }
        &-item {
            &.is-expanded {
                .test-sessions {
                    &__header {
                        background-color: $state-info-bg;
                        box-shadow: 0 4px 4px rgba(0, 0, 0, 0.25), inset 0 1px 0 rgba(0, 0, 0, 0.25);
                        &-icon {
                            transform: rotate(180deg);
                        }
                    }
                }
            }
            @media screen and (min-width: $screen-tablet-2 + 1) {
                .test-sessions__header:hover {
                    background-color: $gray3e5;
                }
                &:not(.is-expanded) {
                    .test-sessions__header:hover {
                        background-color: $gray3e5;
                        box-shadow: inset 0 1px 0 rgba(0, 0, 0, 0.25);
                    }
                }
            }
        }
    }
    &__header {
        display: flex;
        align-items: center;
        padding: 16px 24px;
        background-color: $gray5f5;
        box-shadow: inset 0 1px 0 rgba(0, 0, 0, 0.25);
        transition: all .25s ease-in-out;

        &-icon {
            color: $gray57c;
            transition: transform .25s ease-in-out;
            flex: none;
            margin-left: 20px;
        }
        &-title {
            font-weight: bold;
            font-size: 16px;
            line-height: 24px;
            flex: auto;
            min-width: 0;
            white-space: nowrap;
            overflow: hidden;
            text-overflow: ellipsis;
            margin-right: 16px;
        }
        &-metadata {
            display: flex;
            flex: none;
        }
        @media screen and (max-width: $md-screen-phone) {
            padding: 16px;
        }
    }
    &__meta-item {
        display: flex;
        align-items: center;
        cursor: default;

        & + & {
            margin-left: 20px;
        }
        &-icon {
            flex: none;
            width: 16px;
            height: 16px;
            margin-right: 4px;
        }
        &-text {
            flex: auto;
            min-width: 0;
            font-size: 12px;
            line-height: 16px;
            white-space: nowrap;
            overflow: hidden;
            text-overflow: ellipsis;
            max-width: 60px;
        }
    }
}
